"""
    Addon for the Photo
"""

import urllib
import Globals
import string

from Globals import HTMLFile, DTMLFile

from Products.PageTemplates.PageTemplateFile import PageTemplateFile
from Products.Photo.PhotoFolder import PhotoFolder
from Products.Photo.Photo import Photo

def prevPhotoVW(self):
    """Return previous Photo in folder."""
    id = self.getId()
    photoIds = self.aq_parent.objectIds(['Photo'])
    if id == photoIds[0]:
        return None
    return getattr(self.aq_parent, photoIds[photoIds.index(id)-1])

def nextPhotoVW(self):
    """Return next Photo in folder."""
    id = self.getId()
    photoIds = self.aq_parent.objectIds(['Photo'])
    if id == photoIds[-1]:
        return None
    return getattr(self.aq_parent, photoIds[photoIds.index(id)+1])

def editProperties(self, REQUEST=None, RESPONSE=None):
	"""Modifies all properties."""

	results={}
	
	for prop in self.propertyIds():
	    if REQUEST.has_key(prop):
	      results[prop] = REQUEST[prop]
	    else:
	      results[prop] = ''
	
	self.manage_editProperties(results)
	
	if REQUEST.has_key('TARGET'):
	    return RESPONSE.redirect (REQUEST['TARGET'])
	else:
	    return RESPONSE.redirect (REQUEST['HTTP_REFERER'])



targets = (
    Photo,
)

methods = {
    'view_photo':		DTMLFile('www/view_photo', globals()),    
    'nextPhoto':		nextPhotoVW,
    'prevPhoto':		prevPhotoVW,
    'editProperties':	editProperties,    
}
