"""
Copyright Volker Wend
25.3.03
"""

import os
from os.path import splitext

from Globals import package_home
from App.ImageFile import ImageFile

from sys import modules
from Patch import applyPatch

misc_ = {}
icons = os.listdir(os.path.join(package_home(globals()),'www'))
icons = filter(lambda f: f[-4:] == '.gif', icons)

for icon in icons:
    misc_[icon] = ImageFile('www/%s' % icon, globals())

banlist = ('__init__', 'Patch')

Patches = map(splitext, os.listdir(package_home(globals())))
Patches = filter(lambda (name, ext): (ext == '.py' and name not in banlist), Patches)
Patches = map(lambda (name, ext): name, Patches)

for item in Patches:
    if item in modules.keys():
        reload("Products.PhotoAddon.%s" % item)
    else:
        exec "import %s" % (item, )
    applyPatch(modules["Products.PhotoAddon.%s" % item])

def initialize(context):
    """ Init this product """
    for item in Patches:
        if hasattr(modules["Products.PhotoAddon.%s" % item], 'performPatch'):
            modules["Products.PhotoAddon.%s" % item].performPatch(context._ProductContext__app)
            
    context.registerHelpTitle("PhotoAddon")
    context.registerHelp()
